Skip to content

Create appointment status

Request

Creates a new Appointment Status record. Appointment Status resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
appointmentStatusIdstring

Canonical identifier for the appointment status.

Example:"123e4567-e89b-12d3-a456-426614174000"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this appointment status is currently active and can be used.

Example:true
namestringrequired

Human-readable name of the appointment status (e.g., 'Booked', 'Checked In').

Example:"Example Name"
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/appointment-status' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "appointmentStatusId": "123e4567-e89b-12d3-a456-426614174000",
    "extensions": {},
    "isActive": true,
    "name": "Example Name"
  }'

Responses

Appointment Status created successfully

Bodyapplication/json
appointmentStatusIdstringrequired

Canonical identifier for the appointment status.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this appointment status was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this appointment status is currently active and can be used.

Example:true
namestringrequired

Human-readable name of the appointment status (e.g., 'Booked', 'Checked In').

Example:"Example Name"
updatedAtstring, (date-time)required

Timestamp when this appointment status was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "appointmentStatusId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "updatedAt": "2025-01-01T00:00:00.000Z" }